html,body{
	margin: 0;
	padding: 0;
	height:100%;
}
body {
	font-family: Tahoma,verdana, sans;
	font-size: 17px;
	color: rgba(0,0,0, 0.87);

}

h2 {
	font-size:1em;
	margin: 0.5em 0;
}
img {
	border: none;
}

a:link, a:visited {
	color: #631F1F;
	text-decoration: underline;
}
a:hover, a:active {
	color: red;
	text-decoration: none;
}

.red {
	color: red;
}

form {
	margin: 0px;
	padding: 0px;
}

ul, ul li {
	list-style: none;
}

#katalogi ul,
.form_user ul {
	border-left: 1px solid gray;
}

#katalogi ul li,
.form_user ul li {
	display: block;
	min-height: 30px;
	padding: 5px;
	
}

ul li a.rozw {
	background: transparent url(../img/showk.png) no-repeat left center;
}

ul li a {
	background: transparent url(../img/hidek.png) no-repeat left center;	
	padding: 5px;
	padding-left: 45px;
}

#kontener
{
	display: flex;
	flex-direction: column;
	box-sizing: border-box;
	height:100%;
	min-width:900px;
	padding-bottom:0.5rem;
}

.header {
	box-sizing: border-box;
	display:flex;
	flex-direction:row;
	position:relative;
	padding: 0.6em 1.5em 0.84em 1.5em;
	border-bottom: solid 1px lightgray;
}

.header__logo {
	display: flex;
	align-items: center;
}

.header-header {
	box-sizing: border-box;
	display:flex;
	flex: 1;
	flex-direction:column;
	padding:0em 1em 0 1em;
}

.header-header h1 {
	box-sizing: border-box;
	font-size: 25px;
	font-weight: normal;
	margin:0;
}

.header-header h1 a {
	color: #000;
	text-decoration: none;
}

.header-menu {
	box-sizing: border-box;
	display:flex;
	flex-direction:row;
	margin-top:0.7em;
}

.menu-form {
	box-sizing: border-box;
	width:100%;
	padding:0;
	margin:0;
}

#konto {
	box-sizing: border-box;
	padding: 10px;
	text-align: right;
}

#user_form img {
	height: 30px;
}

#katalogi {
	box-sizing: border-box;
	margin-top:1em;
	padding-left:1.5em;
	padding-right:1.5em;
	display: flex;
	flex-direction: column;
	flex-grow:1;
	overflow-y:hidden;
}

.project-chooser {
	max-width:50%;
}

.opis {
	padding: 10px;
	line-height: 20px;
}

.zasoby table {
	width: 80%;
	margin: 0px auto;
}

.zasoby table tr td{
	height: 29px;
	background-color: #EEE;
}

.zasoby table tr th {
	text-align: left;
	background-color: #CCC;
	color: #fff;
	padding: 5px;
}

.w10 {
	width: 10%;
	padding: 5px;
}


.w30 {
	width: 30%;
	padding: 5px;
}


.w40 {
	width: 40%;
	padding: 5px;
}

.dodaj {
 padding: 10px;
}

.ok {
	width: 50%;
	margin: 20px auto;
	padding: 15px;
	text-align: center;
	border: 2px solid gray;
	background-color: #DDD;
	color: green;
}

.notok {
	width: 50%;
	margin: 20px auto;
	padding: 15px;
	text-align: center;
	border: 2px solid gray;
	background-color: #DDD;
	color: red;
}

form {
	width: 70%;
	margin: 0px auto;
	padding-top: 20px;
}

input, textarea {
	border: 2px solid gray;
	background-color: #EEE;
	padding: 5px;
	margin: 5px;
	
}

input.sub {
	width: 150px;
	border:2px solid green;
}

.small {
	font-size: 10px;
}

.light {
	color: gray;
}

.bezb {
	background: none;
}

.nieblock {
	display: inline;
	padding: 0px;
}

.plik {
	/*background: transparent url(../img/plik.png) no-repeat left center;*/
	background: transparent url(../img/plik.png) no-repeat left center;
	padding-left: 33px !important;
	/*height: 35px;*/
	display: block;
	padding-top: 11px;
	min-height: auto !important;
	line-height: 1.6em;
}


li.user {
	background: transparent url(../img/user.jpg) no-repeat left bottom;
	padding-left: 35px;
	padding-bottom: 0px;
	min-height: 2.2rem;
	display: flex;
	align-items: center;
}

li.user a {

}

.dk, .ek, .dp, .ep, .up, .uk, .uu {
	display: none;
	
}

#podstr {
	position: fixed;
	width: 100%;
	height: 80%;
	left:0;
	top:0;
	z-index: 1000;
	padding-top: 5%;
	display: none;
	background: transparent url(../img/tlo_50.png);
}

#podstr_html {
	box-sizing: border-box;
	width: 50%;
	height:100%;
	padding-top: 40px;
	padding-bottom: 40px;
	margin: 0px auto;
	text-align: center;
	background-color: #FFF;
	border: 10px solid gray;
}

.podstr_zamknij {
	width: 50%;
	padding-top: 5px;
	padding-bottom: 5px;
	margin: 0px auto;
	text-align: right;
	cursor: pointer;
}

form.form_user {
	width: 100%;
}

.form_user ul {
	display: none;
}

a.uplus {
	background: url(../img/hide.gif) no-repeat center;
	text-decoration: none;
}

a.uminus {
	background: url(../img/show.gif) no-repeat center;
	text-decoration: none;
}
.beztla {
	background: none;
	text-decoration: none !important;
	padding: 0px;
}

#haslo[disabled],
#powtorz_haslo[disabled]{
	background-color:grey;
}

.login-container {
	display: flex;
	flex-direction: column;
	margin-top:1.5em;
	align-items:center;
	flex-grow:1;
}

.project-info {
	box-sizing: border-box;
	display: flex;
	flex-direction: row;
	min-height: 150px;
	height: 170px;
	position:relative;
	flex-grow:1;
}
.project-info__header {
	margin:0 0 0.5em 0;
}
.project-info__col {
	width:50%;
	max-width: 50%;
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	overflow:hidden;
	height:100%;
	padding:1rem 1rem;
}

.project-info__col--max {
	width:100% !important;
	max-width: 100% !important;
}

.project-info__col:not(:first-child) {
	margin-left: 1em;
}

.project-info__content {
	font-size: 12px;
	line-height: 14px;
	overflow-y: auto;
	padding-right:0.5em;
}

.side-col {
	box-sizing: border-box;
	width:20%;
	min-width:250px;
	padding: 1em;
}

.side-col h2 {
	margin-top:0;
	padding-left: 15px;
}

.bordered {
	border: solid 1px lightgray;
	border-radius: 10px;
}

.last-files {
	display: flex;
	flex-direction: column;
}

.last-files__content {
	overflow: hidden;
	flex-grow:1;
}

.tasks {
	width:25%;
	min-width:250px;
	display: flex;
	flex-direction: column
}

.side-col.tasks h2 {
	padding-left: 0;
}

.tasks__content {
	box-sizing: border-box;
	overflow: hidden;
	flex-grow:1;
}

.project-container {
	position:relative;
	box-sizing: border-box;
	display:flex;
	flex-direction:row;
	flex-grow:1;
	margin-top:1.5em;
	overflow:hidden;
}

.super-overlay-container {
	position:absolute;
	top:0;
	right:0;
	bottom:0;
	left:0;
}

.super-overlay {
	position:absolute;
	top:0;
	right:0;
	bottom:0;
	left:0;
	background-color: whitesmoke;
	z-index: 100;
	opacity:0.9;
	border-radius: 10px;
}
.super-overlay-content {
	z-index: 101;
	position:absolute;
	top:0;
	right:0;
	bottom:0;
	left:0;
	display: flex;
	justify-content: center;
	font-size: 1.2rem;
	margin-top:2rem;
	padding: 2rem;
	font-weight: bold;
	border-radius: 10px;
	line-height: 1.8;
}
.super-overlay-content .user-name {
	color: #2196f3;
}

.project-tree {
	box-sizing: border-box;
	padding: 1em;
	margin: 0 1em;
	height:100%;
	min-width: 250px;
	flex-grow:1;
	overflow: auto;
}

.upload-list-item {
	color: darkred;
	font-size: 0.7em;
	padding:1em 15px;
	margin-right: 1em;
	overflow-wrap: break-word;
}

.upload-list-item:hover {
	background-color: rgba(238,238,238, 0.6);
	border-radius: 10px;
	transition: 0.55s;

}

.file-list-item {
	margin-top:0.5em;
}

.upload-tooltip-content {

}

/* Reset list styles */
#katalogi .tasks__content ul {
	border:none;
	margin:0;
	padding: 0;
}

#katalogi .tasks__content ul li {
	margin:0;
	padding: 0;
}

.task-item {
	box-sizing: border-box;
	display: flex;
	flex-direction: row;
	margin:0.5em 0.5em;
	padding:0.5em;
	border-radius: 10px;
	background-color: rgba(238,238,238, 0.6);
}

.task-item__container {
	flex-grow:1;
}

.task-item__data {
	box-sizing: border-box;
	display:flex;
	flex-direction: row;
}

.task-item__name {
	box-sizing: border-box;
	flex-grow:1;
	font-size: 0.8em;
	padding-top:0.1em;
	padding-top:0.1em;
	padding-bottom:0.1em;
	display: flex;
	align-items: center;
}

.task-item__switch {
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
}

.task-item__switch-label {
	font-size: 0.7em;
}

.task-item__task-status {
	font-size:0.7em;
	box-sizing: border-box;
}

.task-item__task-status--todo {
	color:rgb(63, 81, 181);
}

.task-item__task-status--done {
	color:green;
}

.task-item__footer {
	font-size:0.75em;
}

.task-group-item {

}

.error {
	color:red;
}

.task-folder__name {
	box-sizing: border-box;
	display: flex;
	align-items: center
}

.MuiTreeItem-root.tasks__task-tree-item.Mui-selected > .MuiTreeItem-content .MuiTreeItem-label {
	border-radius:10px;
}

.user-form-container {
	box-sizing: border-box;
	margin-top:1.5em;
	padding-left:1.5em;
	padding-right:1.5em;
	display: flex;
	flex-direction: column;
	flex-grow:1;
	overflow-y:auto;
}

.project-form__input {
	box-sizing: border-box;
	margin:0;
	width:100%;
}

.project-form__input-header {
	font-weight: normal;
	text-align: left;
	padding:0.3em;
	vertical-align: top;
}

.snack-container {
	display: block;
}

.add-integration-request-btn {
	cursor:pointer;
	display: inline-block;
	margin-left:0.5em;
	font-style: italic;
}

.add-integration-request-btn span {
	color: #2BAB0E;
}

.add-integration-request-btn:hover {
	opacity:0.7;
}

.add-integration-request-file-btn {
	cursor:pointer;
	display: inline-block;
	font-style: italic;
	position:relative;
	top:-3px;
	color:#2BAB0E;
}

.add-integration-request-file-btn:hover {
	opacity:0.7;
}

.request-list-collapser {
	cursor: pointer;
	text-align: center;
	min-height:1rem;
	height:1rem;
	font-size:0.8rem;
}

.warn-pulse {
	border-color: red;
	border-width: 2px;
}

.warn-pulse-expand {
	color:red;
}

.superadmin-warning {
	color: red;
	font-size: 1.2rem;
}

.footer {
	margin-top:auto;
	padding: 0.5rem;
	padding-top:1rem;
	text-align: right;
	font-size: 0.8rem;
	display: flex;
}

.footer a {
	text-decoration: none;
}

.footer__version {
	display: flex;
	align-items: center;
}

.footer__license {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.footer__license-days-rest {
	color: red;
	margin-top: 0.3rem;
}

.footer__buy {
	margin-left: auto;
	margin-right: 1.5rem;
	display: flex;
	align-items: center;
}

.footer__buy > a {
	display: flex;
	align-items: center;
}

.footer__buy > a > img {
	margin-left: 0.6rem;
	display: block;
}

.footer__icons {
	display: flex;
	align-items: center;
	justify-content: center;
}
.footer__icons img {
	display: block;
}
.footer__icons > a:not(:last-child) {
	margin-right:0.6rem;
}

.footer__globe-icon img {
	transform: translate(0,5px);
}